IRTF Code of Conduct
RFC 9775
Colin Perkins
University of Glasgow
2025-03
IRTF
Code of Conduct
This document describes the code of conduct for participants in the Internet Research Task Force (IRTF).
The IRTF believes that research is most effective when done in an open and inclusive forum that encourages diversity of ideas and participation. Through this code of conduct, the IRTF continues to strive to create and maintain an environment that encourages broad participation, and one in which people are treated with dignity, decency, and respect.
This document is a product of the Internet Research Steering Group (IRSG).
Status of This Memo
This document is not an Internet Standards Track specification; it is published for informational purposes.
This document is a product of the Internet Research Task Force (IRTF). The IRTF publishes the results of Internet-related research and development activities. These results might not be suitable for deployment. Documents approved for publication by the IRSG are not candidates for any level of Internet Standard; see Section 2 of RFC 7841.
Information about the current status of this document, any errata, and how to provide feedback on it may be obtained at https://www.rfc-editor.org/info/rfc9775.
Copyright Notice
Copyright (c) 2025 IETF Trust and the persons identified as the document authors. All rights reserved.
This document is subject to BCP 78 and the IETF Trust's Legal Provisions Relating to IETF Documents (https://trustee.ietf.org/license-info) in effect on the date of publication of this document. Please review these documents carefully, as they describe your rights and restrictions with respect to this document.
Table of Contents
- 1. Introduction
- 2. Rationale
- 3. Conduct
- 4. Research Integrity
- 5. Research Ethics
- 6. Inclusive Language and Imagery
- 7. Participation and Accessibility
- 8. Security Considerations
- 9. IANA Considerations
- 10. References
  - 10.1. Normative References
  - 10.2. Informative References
- Acknowledgments
- Author's Address
Introduction
The Internet Research Task Force (IRTF) promotes research of importance to the evolution and deployment of the Internet protocols, applications, architecture and technology, and to understand the development of the Internet in all its diversity and for all its users, considering the technical, economic, and societal challenges of such development. The IRTF focuses on longer-term research issues related to the Internet while the parallel organisation, the Internet Engineering Task Force (IETF), focuses on the shorter-term issues of engineering and standards-making.
The IRTF believes that research is most effective when done in an open and inclusive forum that encourages diversity of ideas and participation. Through this code of conduct, the IRTF will continue to strive to create and maintain an environment that encourages broad participation, and one in which people are treated with dignity, decency, and respect.
This document was developed by the Internet Research Steering Group (IRSG) with broad consultation and review from the IRTF community. It represents the consensus of the Internet Research Steering Group (IRSG). It is not an IETF product and is not a standard.
Rationale
The IRTF is not the IETF. While the two organisations work closely together, and often co-locate meetings and other activities, they have different goals and work in different ways.
The IETF is a consensus-driven standards-developing organisation, where participants use their best engineering judgment to find the best solution for the whole Internet as it stands today, and to develop the best technical standards to make the Internet work better. IRTF research can be more speculative, and takes a longer-term view of the development of the Internet without the requirements for consensus or near-term applicability and deployability that come from standards development. A further discussion of the differences between IRTF and IETF can be found in [RFC7418].
Compared to the IETF equivalent [RFC7154], this IRTF code of conduct reflects those differences in emphasis between the two organisations.
Conduct
The IRTF is committed to providing a safe and equitable experience for all participants. Those participating in the IRTF must extend respect and courtesy to others at all times.
Harassment is behaviour that is unwelcome, hostile, or intimidating. Harassment includes, in particular, speech or behaviour that is sexually aggressive or that intimidates based on attributes such as education, race, gender, religion, age, colour, national origin, ancestry, disability, medical condition, sexual orientation, or gender identity [RFC7776].
Examples of harassment include, but are not limited to, the use of offensive language or sexual imagery, degrading verbal comments, deliberate intimidation, stalking, harassing photography or recording, inappropriate physical contact, and unwelcome sexual attention.
Harassment will not be tolerated in IRTF research group meetings, open meetings, conferences, workshops, other events, mailing lists, virtual meetings, or other online forums. Participants must follow the IETF anti-harassment policy, which also applies to the IRTF [ANTI-HARASSMENT].
Participants who believe they have been harassed, notice that someone else is being harassed, or have any other concerns relating to potential harassment or conduct, are encouraged to raise their concern with the relevant research group chair or the IRTF Chair, or with the Ombudsteam [OMBUDSTEAM] who work on an independent and confidential basis. All such concerns will be seriously considered and action will be taken as appropriate, up to and including the exclusion of the offending party from IRTF activities.
The IRTF sometimes organises meetings or activities that co-locate with events organised by others. These meetings or activities may need to follow the anti-harassment policy of the hosting event, which may differ from that of the IRTF. In such cases, the organisers of the IRTF meeting or activity should check with the IRTF Chair to confirm that the policy is acceptable and it should be made clear to participants what policy applies.
The IRTF operates and makes use of a number of mailing lists and other online discussion forums. At the time of this writing, research group chairs act as moderators for such forums used by their research groups, and the IRTF Chair moderates IRTF-wide lists and discussion forums. Other moderators may be appointed in the future. Harassment or disruption on these lists and discussion forums due to posting messages that are inflammatory, abusive, or otherwise inappropriate, or due to the repeated posting of off-topic material, will not be tolerated. Moderators will respond to harassing or disruptive behaviour with either a warning, by temporarily suspending posting rights, or after approval from the IRTF Chair by permanently suspending posting rights for an individual, based on the seriousness and history of the behaviour.
Participants who have concerns about, or wish to appeal against, a moderation decision should raise their concerns with the IRTF Chair. If the concern relates to moderation decisions taken by the IRTF Chair, then it should be raised with the Internet Architecture Board. These parties will review the situation and may reverse the moderation decision or take other action as appropriate.
Research Integrity
Participants must act with respect, honesty, transparency, and fairness. They should be trustworthy, aspire to objectivity, and aim to provide factual evidence in support of their claims and justification for their reasoning. They should be generous, give credit to others where it is due, and recognise that understanding advances through collaborative research efforts of many, rather than for the glory of a few.
Plagiarism, misrepresentation of authorship, and content falsification constitute dishonesty and fraud. Such actions are prohibited and the IRTF may take action against authors who commit them, including retraction of the published work or exclusion of the offending party from IRTF activities.
Generative artificial intelligence (AI) tools and systems must not be listed as authors of IRTF documents, presentations, or other materials. The use of generative AI to create text or other content is permitted but must be disclosed if significant amounts of such content are included, for example through an acknowledgement describing which AI system was used and how it contributed. The use of AI to perform spelling or grammar checks and corrections, to translate between languages, or to otherwise improve the presentation of content need not be disclosed.
The IRTF publishes informational and experimental documents in the RFC series. The nature of these documents, and their preceding Internet-Drafts, is that they often extend or elaborate upon previously published research results, to support ongoing development and experimentation by the IRTF community. These documents are encouraged as an important part of the process of disseminating research ideas and ensuring that they work in the Internet at large. Authors must ensure that prior work, including their own prior work, is appropriately cited and acknowledged, and that new documents respect the copyright of prior work and are written with the permission of any coauthors.
IRTF documents may represent the views of their authors or they may be consensus documents representing the views of a research group. It is a misrepresentation for authors to falsely claim that a document represents the consensus view of a research group. Similarly, the editors of a research group consensus document must not misrepresent their role as that of authors.
Research Ethics
Participants must ensure that their research, in particular research that involves human subjects or personal data, is conducted ethically and with respect for persons, in careful consideration of the risks and benefits of the work, taking care to ensure that those who bear the risk also gain some benefit, and with respect for the law and public interest.
Participants should consult with their organisation's Institutional Review Board, Research Ethics Committee, or similar, prior to conducting research that might raise ethical concerns.
Participants are referred to the guidance in the Menlo Report [MENLO], the Belmont Report [BELMONT], and the ACM Policy on Research Involving Human Participants and Subjects [ACM] for further discussion of issues around ethical conduct of research.
Inclusive Language and Imagery
Participants should ensure that language and imagery used in IRTF documents, presentations, mailing lists, research group meetings, open meetings, conferences, workshops, and other events, are respectful and inclusive. Effective research uses terminology that is clear, precise, and widely accessible to readers from varying backgrounds and cultures. Participants are encouraged to follow the guidance on inclusive language in [NISTIR8366] when making contributions to the IRTF [INCLUSIVE].
Participants should avoid the use of slang and unnecessary jargon in both spoken and written communication. When communication difficulties arise, IRTF participants should make a sincere effort to understand each other and to engage in conversation to clarify when necessary.
Participation and Accessibility
To encourage broad participation and support the goal of providing an open and inclusive forum that promotes diversity of ideas and participation, IRTF participants should consider accessibility and access-related concerns when organising research group meetings, open meetings, conferences, workshops, and other events to ensure such events are broadly accessible to all who wish to participate.
English is the de facto language in which the IRTF works, but it is not the native language of many IRTF participants. All participants, particularly those with English as a first language, should attempt to accommodate the needs of others by communicating clearly. Reading, writing, and conversing in a language where one is not a native speaker may be difficult, and IRTF participants should treat those doing so with grace and understanding.
Participants should aim to speak slowly and clearly in presentations and discussions, and they should strive to make presentations and other materials accessible to those with impaired vision or disabilities.
Participants should work to enable remote participation in IRTF events to support those who cannot attend in person, and they should aim to make materials available online in a timely and broadly accessible manner.
The IRTF will work to provide travel grants, fee waivers, childcare, and other support to help participation by students, early career researchers, members of under-represented groups, those with disabilities, and others who might otherwise be unable to participate. Participants are encouraged to make use of these opportunities.
IRTF research groups may have open or limited membership [RFC2014]. Limited membership may be advantageous to the formation of the long-term working relationships that are critical to successful collaborative research. However, limited membership must be used with care and sensitivity to avoid unnecessary fragmentation of the work of the research community. The charter of each research group defines its membership policy (whether open or limited) and the procedure to apply for membership in the group. While limited membership is permitted, it is in no way encouraged or required. Research group chairs must enforce the membership policy of their group in a fair and transparent manner, providing a clear rationale for their decisions. Participants with concerns about the administration of the membership policy for a research group, or who wish to appeal a membership decision, should raise their concern with the IRTF Chair.
In exceptional cases, advice from legal counsel may be to restrict an individual from using IRTF IT systems and/or from participating in IRTF research group meetings, open meetings, conferences, workshops, and other events. In such cases, the IRTF Chair will act following the principles outlined in the Statement on Restricting Access [RESTRICTING]. Due to the potential impact on the standards process, arising from the use of shared infrastructure and joint meetings between the IRTF and IETF, any such action by the IRTF Chair will only be taken in consultation with the IESG.
Security Considerations
This IRTF code of conduct does not directly affect the security of the Internet.
Research results, when translated into practice, have the potential to significantly impact the security and privacy of users of the Internet. Researchers should consider the potential security benefits, risks, and implications of their work and, where possible, should aim to improve security and protect the privacy of Internet users through their research [RFC8890].
IANA Considerations
This document has no IANA actions.
References
Normative References
[ANTI-HARASSMENT]

IETF Anti-Harassment Policy
IETF
November 2013
[INCLUSIVE]

Inclusive Language in Contributions to the IRTF
May 2021
[NISTIR8366]

Guidance for NIST Staff on Using Inclusive Language in Documentary Standards
National Institute of Standards and Technology
April 2021
DOI 10.6028/NIST.IR.8366
Interagency or Internal Report 8366 (NISTIR 8366)
[OMBUDSTEAM]

Ombudsteam
IETF
[RESTRICTING]

Statement on Restricting Access to IETF IT Systems
October 2022
[RFC2014]

IRTF Research Group Guidelines and Procedures
A. Weinrib
J. Postel
October 1996
BCP 8
RFC 2014
DOI 10.17487/RFC2014
[RFC7154]

IETF Guidelines for Conduct
S. Moonesamy, Ed.
March 2014
BCP 54
RFC 7154
DOI 10.17487/RFC7154
[RFC7418]

An IRTF Primer for IETF Participants
S. Dawkins, Ed.
December 2014
RFC 7418
DOI 10.17487/RFC7418
[RFC7776]

IETF Anti-Harassment Procedures
P. Resnick
A. Farrel
March 2016
BCP 25
RFC 7776
DOI 10.17487/RFC7776
[RFC8890]

The Internet is for End Users
M. Nottingham
August 2020
RFC 8890
DOI 10.17487/RFC8890
Informative References
[ACM]

ACM Publications Policy on Research Involving Human Participants and Subjects
ACM Publications Board
August 2021
[BELMONT]

The Belmont Report - Ethical Principles and Guidelines for the Protection of Human Subjects of Research
National Commission for the Protection of Human Subjects of Biomedical and Behavioral Research
[MENLO]

The Menlo Report - Ethical Principles Guiding Information and Communication Technology Research
US Department of Homeland Security Science and Technology Directorate
August 2012
Acknowledgments
This work is supported in part by the UK Engineering and Physical Sciences Research Council under grant EP/S036075/1.
This document is based, in part, on the IETF guidelines for conduct [RFC7154]. The influence of the code of conduct and other policies of ICANN, the USENIX Association, and the Association for Computing Machinery is also gratefully acknowledged.
Thanks to Carsten Bormann, Vigdis Bronder, Laurent Ciavaglia, Ignacio Castro, Jane Coffin, Jay Daley, Dhruv Dhody, Toerless Eckert, Lars Eggert, Reese Enghardt, Stephen Farrell, Simone Ferlin, Wes Hardaker, Jana Iyengar, Mallory Knodel, Dirk Kutscher, Mirja Kühlewind, Allison Mankin, Alexey Melnikov, Marie-Jose Montpetit, Dave Oran, Pete Resnick, Shivan Kaul Sahib, Eve Schooler, Melinda Shore, Niels ten Oever, Brian Trammell, Rich Salz, Paul Wouters, Rod Van Meter, and other members of the Internet Research Steering Group (IRSG) for their feedback on this code of conduct.
Author's Address
Colin Perkins
University of Glasgow
csp@csperkins.org